 
real(fp) function sigv_zstop(ErelA,iZneut,iZimp)
  use iso_c_binding, only: fp => c_double
  use physconst_mod, only : two,zcm2tom2 ,zkev2ev,mp_g
  implicit NONE
 
  real(fp) ErelA   ! E/A of collision interaction  *KEV*
  integer iZneut  ! Z of neutral atom (H/HE/LI)
  integer iZimp   ! Z of impurity (C/O)
 
  !  stopping cross section for neutral atom interaction with fully
  !  stripped light impurity ions
 
  !  ouput rate coefficient sigma*v, sigv_zstop, in M**3/sec
 
  real(fp) psglsa8   !  cross-section function
  real(fp) Vrel
 
  Vrel=0.01_fp*SQRT(two*1.6029e-12_fp*ErelA*zkev2ev/mp_g)
 
  sigv_zstop = Vrel * zcm2tom2 * psglsa8(zkev2ev*ErelA, iZneut, iZimp)
 
end function sigv_zstop
